edu.isi.pegasus.planner.catalog.site.classes

## Class SiteInfo2SiteCatalogEntry

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.classes.SiteInfo2SiteCatalogEntry

    public class SiteInfo2SiteCatalogEntry
    extends java.lang.Object

An adapter class that converts SiteInfo object to SiteCatalogEntry object.

Version:
  $Revision$
Author:
  Karan Vahi

### Constructor Summary

Constructors
Constructor and Description
`SiteInfo2SiteCatalogEntry()`

### Method Summary

All Methods Static Methods Concrete Methods
`static SiteCatalogEntry` `convert(SiteInfo s)` An adapter method that converts the `SiteInfo` object to `SiteCatalogEntry` object.
`static SiteCatalogEntry` `convert(SiteInfo s, LogManager logger)` An adapter method that converts the `SiteInfo` object to `SiteCatalogEntry` object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SiteInfo2SiteCatalogEntry

    public SiteInfo2SiteCatalogEntry()

### Method Detail

#### convert

    public static SiteCatalogEntry convert(SiteInfo s)

An adapter method that converts the `SiteInfo` object to `SiteCatalogEntry` object.

Parameters:
  `s` - `SiteInfo` to be converted.
Returns:
  the converted `SiteCatalogEntry` object.

#### convert

    public static SiteCatalogEntry convert(SiteInfo s,
                                           LogManager logger)

An adapter method that converts the `SiteInfo` object to `SiteCatalogEntry` object.

Parameters:
  `s` - `SiteInfo` to be converted.
  `logger` - the hande to the LogManager
Returns:
  the converted `SiteCatalogEntry` object.